Simple Virtual Machine A simple but flexible virtual machine

Loading...
Searching...
No Matches
Functions
SVM automatic values
SVM values

This module contains API functions to handle SVM automatic values. More...

## Functions
SVM_FUNCTION SVM_Value_Automatic | svm_value_automatic_new_null (const void *svm)
| This function creates an automatic value the SVM can store in its memories without a value.

## Detailed Description

This module contains API functions to handle SVM automatic values.

## Function Documentation

## ◆ svm_value_automatic_new_null()

SVM_FUNCTION SVM_Value_Automatic svm_value_automatic_new_null | ( | const void * | svm | ) |

This function creates an automatic value the SVM can store in its memories without a value.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.

Returns
  A non initialised automatic value.

Note
  Writing into a memory address a null automatic value will clear the value without changing its type, and will work with all types.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)